
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>apk-Android armeabi 和 armeabi_v7a 使用的是同一份so库 / iVAN</title>

    <meta name="description" content="apk-Android armeabi 和 armeabi_v7a 使用的是同一份so库 问题描述 Android armeabi 和 armeabi_v7a 使用的是同一份so库 Android armeabi 和 armeabi_v7a 使用的是同一份so库: 是我从armeabi拷贝到armeabi_v7a里面的. 但是两份一抹一样的so 库就会导致打包后的apk包过大. 能否只使用一份so 库解决这个问题? 如果没有 armeabi_v7a 的话 运行 System.loadLibrary会报找不到这个so文件. 求各位大神帮帮忙 解决方案 armeabi armeabi-v">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">apk-Android armeabi 和 armeabi_v7a 使用的是同一份so库</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>Android armeabi 和 armeabi_v7a 使用的是同一份so库
        </dt>
<dd>
          <br />Android armeabi 和 armeabi_v7a 使用的是同一份so库：<br />
是我从armeabi拷贝到armeabi_v7a里面的。<br />
但是两份一抹一样的so 库就会导致打包后的apk包过大。<br />
能否只使用一份so 库解决这个问题？<br />
如果没有 armeabi_v7a 的话<br />
运行 System.loadLibrary会报找不到这个so文件。<br />
求各位大神帮帮忙</p>
</dd>
</dl>
<h1>解决方案</h1>
<p><a href="http://blog.csdn.net/Tabeeeeeer/article/details/50724868" rel="external nofollow noreferrer">armeabi armeabi-v7a android</a><br /><a href="http://blog.csdn.net/MYBOYER/article/details/50316563" rel="external nofollow noreferrer">android的armeabi和armeabi-v7a</a><br /><a href="http://blog.csdn.net/petib_wangwei/article/details/40183149" rel="external nofollow noreferrer">android的armeabi跟armeabi-v7a</a></p>
<p>解决方案二：<br />
    <br />armeabi 和 armeabi_v7a 是指的CPU的类型，<br />
armeabi 是指该so文件用于通用CPU，<br />
armeabi_v7a是指该so文件用于支持硬件浮点运算的CPU,<br />
所以就此而言armeabi的通用性较强，但相对而言运算速度就慢了，<br />
在这个追求性能的时代，个人推荐全部放到armeabi-v7a下，不要为了兼容放到armeabi下面而丧失这个优化性能的机会。</p>
<p>解决方案三：<br />
    <br />1.不能使用同一个库，是针对不同手机平台的；<br />
2.armeabi是指的该so库用于ARM的通用CPU，而v7a的CPU支持硬件浮点运算。因此armeabi通用性强，但速度慢，而v7a能充分发挥v7a CPU的能力，在AIR打包APK调试模式adobe选择的是通用性强的armeabi模式。<br />
3.现在还有x86的了，其实armeabi 、armeabi-v7a 和x86是编译 NDK 库时，可以使用三种支持的应用二进制接口(ABI)：</p>
<pre><code>‘armeabi’ – 默认选项，将创建以基于 ARM* v5TE 的设备为目标的库。 具有这种目标的浮点运算使用软件浮点运算。 使用此 ABI 创建的二进制代码将可以在所有 ARM* 设备上运行。
‘armeabi-v7a’ – 创建支持基于 ARM* v7 的设备的库，并将使用硬件 FPU 指令。
‘x86’ – 生成的二进制代码可支持包含基于硬件的浮点运算的 IA-32 指令集。
</code></pre>
<p>解决方案四：<br />
    <br />还是全放在armeabi-v7a下吧</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 12:03:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/apk/" title="apk">apk</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>apk-Android armeabi 和 armeabi_v7a 使用的是同一份so库的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVZv5b.html" rel="bookmark">android 源码中使用System&period;loadLibrary加载第三方库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 源码中使用System.loadLibrary加载第三方库 我在android源码中编译一个apk,使用了几个第三方库文件,下面是Android.mk文件内容: LOCAL_PATH:= $(call my-dir) include $(CLEAR_VARS) LOCAL_MODULE_TAGS := debug optional eng LOCAL_SRC_FILES := $(call all-java-files-under, src) LOCAL_PACKAGE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRq3D3b.html" rel="bookmark">android开发-在Android有没有结构简单、使用方便的图表库？（有Demo最好）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在Android有没有结构简单.使用方便的图表库?(有Demo最好) 在Android有没有结构简单.使用方便的图表库?(有Demo最好)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bod8RBM.html" rel="bookmark">android studio 如何使用github上下载下来的开源库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android studio 如何使用github上下载下来的开源库 android studio 如何使用github上下载下来的开源库 比如 koral--/android-gif-drawable 应该怎么做? 解决方案 直接导入项目就好了,我试过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9j5J4p.html" rel="bookmark">服务器-开发Android游戏类型不一样是不是用的Qp&lowbar;lib开发库也不一样啊</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 开发Android游戏类型不一样是不是用的Qp_lib开发库也不一样啊 开发Android游戏类型不一样是不是用的Qp_lib开发库也不一样啊,我现在导入一个斗地主手游但是登陆不进去,显示服务器链接超时,而且只有qp_lib和qp_net很小,是不是没有QP_lib库的原因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKxxkz.html" rel="bookmark">在Android中通过jni方式使用编译好的FFmpeg库-Android中使用FFmpeg媒体库&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://doandroid.info/?p=471 在继上篇在32位的Ubuntu 11.04中为Android NDK r6编译FFmpeg最新版0.8.1后,本人来给大家展示一下如何在Android中使用编译好的FFmpeg库. 整体调用逻辑为: 1 编译完ffmpeg库 2 使用jni方式撰写c代码,其中需要包含相应的ffmpeg的头文件 3 撰写相应的Android.mk文件,里面指定需要编译的c代码以及需要链接的动态库 4 执行ndk-build生成相应的jni库 5 创建			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvWQy6p.html" rel="bookmark">【详解】Android远程http下载和动态注册第三方so lib库教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.背景 在开发Android应用程序的实现,有时候需要引入第三方so lib库,但第三方so库比较大,例如开源第三方播放组件ffmpeg库, 如果直接打包的apk包里面, 整个应用程序会大很多.经过查阅资料和实验,发现通过远程下载so文件,然后再动态注册so文件时可行的.主要需要解决下载so文件存放位置以及文件读写权限问题. 二.主要思路 1.首先把so放到网络上面,比如测试放到:http://codestudy.sinaapp.com//lib/test.so 2.应用启动时,启动异步线程下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoXkmb.html" rel="bookmark">android ndk-Android NDK编译已有的C&plus;&plus;实现的协议库文件--求助</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android NDK编译已有的C++实现的协议库文件--求助 RT,,Android.mk已经写好,NDK也已经配置好.自己写的代码可以用JNI 调用本地方法,但是调用一个用C/C++ 实现的协议库的时候却没有NDK的编译信息,当然也没有产生预期的.so文件.有没有遇到同样问题的大神呢?求助 &gt;&gt;&gt;&gt;&gt; 解决方案 android c++ ndk 的编译环境搭建 解决方案二: http://blog.csdn.net/yangchang999/article/det			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6Q7wz.html" rel="bookmark">android git repo-repo 与 git的基本操作以及建立代码库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 repo 与 git的基本操作以及建立代码库 我从供应商那里拿到了一套repo的代码库,现在要把它放到自己的服务器上,让其他人可以进行开发,现在的问题是不知道怎样在服务器上建立这个库?怎么更改url?希望能提供一些思路或者资料,谢谢!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr391Wp.html" rel="bookmark">Android Studio&lpar;十二&rpar;：打包多个发布渠道的apk文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio相关博客: Android Studio(一):介绍.安装.配置 Android Studio(二):快捷键设置.插件安装 Android Studio(三):设置Android Studio编码 Android Studio(四):Android Studio集成Genymotion Android Studio(五):修改Android Studio项目包名 Android Studio(六):Android Studio添加注释模板 Android Studio			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6dlXz.html" rel="bookmark" class="title">中英文字符混合处理方法</a>
					<div>
						1,TXT文件导入SQL时 303410001401??????? 600 LANG 4-T粤IG? 0220??? 011840628900000?? BPO303410001501???????  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b30A7M.html" rel="bookmark" class="title">饼图的一种画法</a>
					<div>
						以下的代码复制下来直接运行就可以显示饼图了   /////////////////////////////////////////////////////////   &lt;!--开始--&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7rJqb.html" rel="bookmark" class="title">SQL Server 2005内置工具建审查系统</a>
					<div>
						作为收费应用方面的数据库管理员(DBA),公司首席信息官(CIO)经常邀请我与Sarbanes-Oxley审查员 开会讨论公司数据的安全与整合问题.简单地说,他希望我们通过适当的文件回答许多问题:如谁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx9Ojb.html" rel="bookmark" class="title">如何解决oracle 11g中的ORA-00845错误</a>
					<div>
						oracle11g数据库,修改了内存参数memory_max_target=943718400,关闭数据库重新启动的时候报错 [oracle@instuctor shm]$ sqlplus / as  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNoLlb.html" rel="bookmark" class="title">IE浏览器打开网页提示安全证书过期</a>
					<div>
						如果本地的日期和时间都是正确的,那么我们可以尝试重新安装该网站的证书,具体操作方法如下: 1.按下 Windows + R 键打开&quot;运行&quot;,输入&quot;mmc&quot;,点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl1xqz.html" rel="bookmark" class="title">Photoshop给静坐的人物照片调出淡青色</a>
					<div>
						我们需要的主色是青色,调色的时候可以把素材中的绿色都转为青色,暗部则转为青蓝色,然后把整体颜色调淡一点,局部柔化处理即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片,创建可选颜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze72wwM.html" rel="bookmark" class="title">关闭Windows 7的无用服务可以加快系统速度</a>
					<div>
						认识了这些系统进程之后,就可以把不用的服务关闭掉,以减少内存占用率,提升系统运行速度,很实用! 补充:有网友问,怎么打开这些系统服务呢,坛友@kayy509 已经回答了,在 &quot;运行&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N3eoM.html" rel="bookmark" class="title">jQuery 开发者应该注意的9个错误&lowbar;jquery</a>
					<div>
						jQuery is so easy to use that sometimes we just forget that it's not CSS. While using CSS, we don't  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqARGaM.html" rel="bookmark" class="title">摄影技能技巧大全  - 太精彩啦，年后弄个单反按着练练！</a>
					<div>
						[珍藏孤版]摄影技能技巧大全   (2013-07-13 12:19:29) 转载▼ 标签:  转载   学而时习之,不亦说乎. 原文地址:[珍藏孤版]摄影技能技巧大全作者:吴雁 摄影技能技巧大全 摄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b328YWz.html" rel="bookmark" class="title">⑳云上场景 每日瑜伽，OSS&plus;ECS组合的多网络实践</a>
					<div>
						每日瑜伽是一款全球化的综合性瑜伽导练和社交应用,该产品涵盖不同时长.不同等级的瑜伽课程,搭载高清视频.语音指导.舒缓音乐和社交功能,帮助用户乐享瑜伽,轻松交友, 旨在为大家创造一种健康的生活方式,让健 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZkkAp.html" rel="bookmark" class="title">为什么我的JS程序里的按钮按下去没反应&excl;&excl;&excl;我用的是CHROME浏览器</a>
					<div>
						问题描述 为什么我的JS程序里的按钮按下去没反应!!!我用的是CHROME浏览器 &lt;html&gt; &lt;head&gt; &lt;title&gt; innerhtml &lt;/titl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmWRrb.html" rel="bookmark" class="title">AppleWatch开发入门一&mdash;&mdash;Watch的开发思路与应用框架</a>
					<div>
						AppleWatch开发入门一--Watch的开发思路与应用框架 一.引言         Apple Watch无疑是apple在智能手表领域的一次革命,如何在Watch上开发出实用且具有美感的应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydnJkb.html" rel="bookmark" class="title">【Matlab编程】Matlab让电脑失而复得</a>
					<div>
						       在学校经常有同学电脑失窃,大抵都是粗细大意.据说iPhone手机失窃后可以获取小偷的照片,从而将照片找到.现在用matlab写一个程序使得当小偷使用电脑上网时,电脑自动将电脑前面的人的照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK0Bvb.html" rel="bookmark" class="title">存储树形的数据表转为Json</a>
					<div>
						/// &lt;summary&gt; /// 根据DataTable生成Json树结构 /// &lt;/summary&gt; /// &lt;param name=&quot;tabel&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5eaeM.html" rel="bookmark" class="title">ssh&plus;json标准的结构Demo</a>
					<div>
						ssh整合+json实现增删改查,一个标准的Demo,可以按这个模式开发,感觉蛮方便的,记录下来,避免忘记. 数据库:Oracle:平台:myeclipse 项目结构: POJO类和映射文件: pac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7wLZM.html" rel="bookmark" class="title">麒麟开源堡垒主机在等保上的合规性分析</a>
					<div>
						信息安全等级保护工作包括定级.备案.安全建设和整改.信息安全等级测评.信息安全检查五个阶段. 我国的信息安全等级保护共分为五级,级别越高,要求越严格. 我国的信息安全等级保护主要标准包括,&lt;信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmRx8M.html" rel="bookmark" class="title">域名注册的生存法则 教你如何绝境逢生</a>
					<div>
						一个域名销售出去并不等于业务已经终止而是开始,如果一个用户注册了域名,没有做任何应用,续费是保证不了的.而国内的形式是,首年注册根本不赚钱,如联动天下域名注册www.72e.net 价格一直全国最低, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQW4Vp.html" rel="bookmark" class="title">HDOJ 1753</a>
					<div>
						点击打开链接 解题思路:我们开两个数组,数组的前500位存储整数部分,后面500位存储小数部分,开个sum数组求和即可,注意一下小数点的进位 代码: #include&lt;iostream&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nD1mz.html" rel="bookmark" class="title">java-Hibernate中的1-N关联关系</a>
					<div>
						问题描述 Hibernate中的1-N关联关系 在Hibernate创建1-N的关联关系,比如系部和课程的1-N关联.创建之后新建一个课程时必须要传入一个系部的对象.怎样才能不创建系部的对象,直接添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RnARz.html" rel="bookmark" class="title">《SPSS 统计分析从入门到精通（第2版）》一6&period;7 k个独立样本的检验</a>
					<div>
						6.7 k个独立样本的检验 SPSS 统计分析从入门到精通(第2版) 要解决多于两个的独立样本之间是否具有相同分布的问题,需借助于多个独立样本检验(test for several independe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw6jdM.html" rel="bookmark" class="title">重庆昊晟玻璃晶品有限公司</a>
					<div>
						重庆昊晟玻璃晶品有限公司是一家专业生产高档玻璃酒瓶的企业,也从事瓶型设计及整体形象策划,其客户包括国内各大名酒企业,如 水井坊.金剑南.威士忌.白兰地.伏特加等.昊晟是国内玻璃包装行业通过了美国FDA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKlBkz.html" rel="bookmark" class="title">假如Facebook在中国招股</a>
					<div>
						尽管4月18日是证监会关于&quot;新股发行机制改革&quot;征求意见的最后期限,但相关讨论尤其是对其中&quot;推动部分老股向网下投资者转让&quot;,即存量发行部分的争论还远未结束,见诸媒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKylEz.html" rel="bookmark" class="title">node&period;js中的socket&period;io的广播消息&lowbar;node&period;js</a>
					<div>
						在多个客户端与服务器端建立连接后,socket.io()服务器具有一个sockets属性,属性值为所有与客户端建立连接的socket对象.可以利用该对象的send方法或emit方法向所有客户端广播消息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkQgQz.html" rel="bookmark" class="title">java 抽象类与接口的区别介绍&lowbar;java</a>
					<div>
						抽象类与接口的区别 抽象类 包含抽象方法的类就是抽象类,声明的语句:abstract class 必须是public protected 接口 对行为的抽象,声明语句:interface 抽象方法的修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8dlZp.html" rel="bookmark" class="title">Android程序开发仿新版QQ锁屏下弹窗功能&lowbar;Android</a>
					<div>
						新版的qq,可以在锁屏下弹窗显示qq消息,正好目前在做的项目也需要这一功能.经过各种试验和资料查找,终于实现,过程不难,但是却有一些地方需要注意. 下面是实现过程. 1.使用Activity,而不是V ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkvWvp.html" rel="bookmark" class="title">PHP中集成PayPal标准支付的实现方法分享&lowbar;php技巧</a>
					<div>
						PayPal支付功能其实一直在更新文档和接口,这里说的是一个简单的支付功能大概流程如下 1,在网站的结账页面,设置一个提交到PayPal网站的form,里面有一些金额,商品名称,商家收款账号.结账成功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVyX7z.html" rel="bookmark" class="title">js 按照指定间隔 向字符串中插入随机字符串的实现代码&lowbar;javascript技巧</a>
					<div>
						[Ctrl+A 全选 注:如需引入外部Js需刷新才能执行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Aqwp.html" rel="bookmark" class="title">怎么利用网站导航目录提高网站权重</a>
					<div>
						第一:借力合适的平台.导航网站目录真的很多,不做的时候不知道,开始还以为资源很难找,后来在百度上一搜真的是一大把的感觉.但是博主并没用把所有的网站都提交了,只是选择了一些和自己网站目录相关的平台.博主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ287Yz.html" rel="bookmark" class="title">使用ZeroClipboard解决跨浏览器复制到剪贴板的问题&lowbar;网页编辑器</a>
					<div>
						Zero Clipboard的实现原理Zero Clipboard 利用透明的Flash让其漂浮在复制按钮之上,这样其实点击的不是按钮而是 Flash ,这样将需要的内容传入Flash,再通过Flas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GkePM.html" rel="bookmark" class="title">免费信息为便民 新鲜资讯巧带量</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 许多做免费信息网站的站长都深有体会 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
